/* h_LCP_reference_point.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_REFERENCE_POINT_H_
#define _H_REFERENCE_POINT_H_


#include "h_LCP_f_geometry.h"

/* Двусвязный список.
   Координаты точки дублируются для уменьшения количества вычислений. */
struct _RefPointList
{
  fPOINT pt; /* Координаты точки в мировой системе координат */
  fPOINT pp; /* Координаты точки для области вывода (в системе координат окна) */
  struct _RefPointList * prev;
  struct _RefPointList * next;
};

typedef struct _RefPointList RefPointList;
typedef struct _RefPointList * pRefPointList;

pRefPointList refPoint;

void ref_point_add (float x, float y);
void ref_point_dl (float x, float y);
void ref_point_del_all (void);
void ref_point_printList (void);
void ref_point_print2List (void);
pRefPointList ref_point_lookup_next (float x, float y);

#endif /* _H_REFERENCE_POINT_H_ */
