/* h_c_label.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */
   
#ifndef _H_C_LABEL_H_
#define _H_C_LABEL_H_


#include "h_LCP_f_geometry.h"


#define MARGIN 1 /* Полоса вокруг текста */
#define NO_FRAME  0x0001 /* Флаги "LABEL.flags" */


typedef struct {
  char * text;		/* Текст */
  unsigned long int ID;
  unsigned long int flags;
  unsigned int txt_x; /* Смещение текста относительно рамки */
  unsigned int txt_y;
  RECT rect;
  Pixmap pxmFr;	/* Рамка элемента */
  Pixmap pxm;   /* Фон элемента */
} LABEL, * pLABEL;

int label_get_font_height (GC gc);
int label_create (Display * dsp, Drawable draw, int scrn, GC gc, char * text, RECT * rect, LABEL * pl);
int label_draw (Display * dsp, Drawable draw, GC gc, LABEL * pl);


#endif /* _H_C_LABEL_H_ */

