/* h_c_tab.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_C_TAB_H_
#define _H_C_TAB_H_

#include "h_LCP_f_geometry.h"

#define TAB_NUM	3	/* Количество вкладок */

void (* tab_init) (GC g, Pixmap ** px); /* Указатель на функцию заполнения вкладок элементами управления */
int  tab_create (Drawable draw, GC g, RECT t_rect, Pixmap ** px, unsigned long valm, XGCValues vl);
void tab_draw (Drawable draw, GC g, Pixmap * px);
void tab_button_press (GC g, Pixmap ** px, int x, int y);
void tab_key_press (Pixmap ** px, KeySym keysym);
void tab_tabs_draw (GC g, Pixmap * px);
void tab_mem_free (void);

void (** fTAB) (); /* Массив указателей на функции обработки сообщений который необходимо заполнить.
		      количество функций равно количеству вкладок - "TAB_NUM" */
Pixmap tab [TAB_NUM];	/* Массив вкладок */
XColor clr; /* Основной цвет для вкладок */

#endif /* _H_C_TAB_H_ */
