/* h_c_text.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_C_TEXT_H_
#define _H_C_TEXT_H_

#include "h_LCP_f_geometry.h"
#include "h_LCP_global.h"

int fl_control;

typedef struct {
  char * text; /* Текст */
  unsigned long int ID;
  unsigned long int flags;
  int cpos; /* Позиция курсора */
  int nch; /* Количество символов в строке "text" */
  unsigned int txt_x; /* Смещение текста относительно рамки */
  unsigned int txt_y;
  RECT rect;
  Pixmap pxm; /* Фон элемента */
} TEXT, * pTEXT;

pTEXT pTcr; /* Текущий элемент управления (получивший фокус). */

int text_create (Display * dsp, Drawable draw, int scrn, GC gc, char * text, RECT rect, TEXT * pt);
int text_write (Display * dsp, Drawable draw, GC gc, TEXT * pt);
void text_change_pos (int pos);
void text_key_release (XEvent * ev, char * buff_kb, KeySym keysym);
void text_key_press (XEvent * ev, char * buff_kb, KeySym keysym);
void text_button_press (int x, int y);

#endif /* _H_C_TEXT_H_  */
