/* h_com_console.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_COM_CONSOLE_H_
#define _H_COM_CONSOLE_H_

#include "h_LCP_global.h"

#define IN 1
#define OUT 0

#define BUFF_SIZE 32
char command_buff [BUFF_SIZE];
char arg_buff [BUFF_SIZE];
char num_buff [NUMBUFFSIZE];

#define RET_ERROR   -1
#define LNUM_MAX     17 /* Количество символов для числа с плавоющей точкой */

#define SHORT_PAR_LEN 3 /* Длина строки для коротких параметров */

/* Типы параметров */
enum par_type {
  conf_void = 0,
  conf_uchar = 1,
  conf_char = 2,
  conf_ptr_char = 3,
  conf_uint = 4,
  conf_int = 5,
  conf_ushort = 6,
  conf_short = 7,
  conf_ulong = 8,
  conf_long = 9,
  conf_float = 10,
  conf_double = 11,
  conf_long_double = 12
};

/* Names of drawing modes */
enum drawing_modes {
  DM_VIEW = 0,
  DM_POINT = 1,
  DM_LINE = 3,
  DM_POLYLINE = 10,
  DM_POINT_DELETE = 101,
  DM_LINE_DELETE = 103,
  DM_LINE_DELETE_DSC = 104,
  DM_POLYLINE_DELETE = 110,
  DM_POINT_DELETE_ALL = 201,
  DM_LINE_DELETE_ALL = 202,  
  DM_POLYLINE_DELETE_ALL = 210,
  DM_SHOW_W_TOOL = 310,
  DM_UNSHOW_W_TOOL = 311,
  FS_READ_FILE = 401,
  FS_CLOSE_FILE = 402,
  FS_WRITE_FILE = 403,
  DM_TEST_POINT = 500,
  DM_TEST_POINT_DELETE = 550,
  COM_NO_WINDOW = 901,
  COM_WND_CON = 902,  
  COM_SELECT_FONT = 903,
  COM_PAN_DRAW = 904,
  COM_VERSION = 950,
  DM_LINE_TEST_PRINT_CERTAIN = 994,  
  DM_PRINT_LINES = 995,
  DM_TEST_PRINT_LINES = 996,
  DM_TEST_PRPOINTS = 997,
  DM_POINT_PRINT2 = 998,
  DM_POINT_PRINT = 999,
  DM_QUIT = 1000
};

int com_con (void);
int com_con_search_param (int flg, char * bf);
void com_con_do_list (int i);
char * com_con_no_blank (char * sstr);
void com_con_err_print (char str []);
void com_con_print (char str []);

/* Таблица с короткими - param[0] и
   длинными - param [1] параметрами. */
typedef struct {
  short int num;
  char * param [2];
  char * hlpmsg;
} TABLE_PARAMETER;

typedef struct {
  unsigned int cnt;
  float ord [4];
} NUMBERS;

extern TABLE_PARAMETER tab_param [];
NUMBERS nums;


#endif /* _H_COM_CONSOLE_H_ */
