/* h_line.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_LINE_H_
#define _H_LINE_H_


#include "h_point.h"

/* Односвязный список линий */
struct LINE
{
  unsigned long dsc;
  pPL p1; /* Координаты точки */
  pPL p2;
  float length; /* Длина линии */
  unsigned long pixval; /* Цвет линии */
  unsigned long r;
  unsigned long g;
  unsigned long b;
  //  struct LINE * prev;
  struct LINE * next;
};

typedef struct LINE * pLINE;

pPL lPoints; /* Список точек для объектов "линия" */
pLINE lLine; /* Список объектов - линия. */

pLINE line_draw (pLINE * l, unsigned long pixval, float x1, float y1, float x2, float y2);
int line_delete (pLINE * l, unsigned long dsc);
int line_delete4 (pLINE * line, float x1, float y1, float x2, float y2);
int line_delete_all (pLINE * line);
void line_test_print_all (pLINE * line);
void line_test_print_certain (pLINE * line, float x1, float y1, float x2, float y2);

#endif /* _H_LINE_H_ */
