/* h_o_cursor.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_O_CURSOR_H_
#define _H_O_CURSOR_H_

#define POINTER_SIZE 10
#define POINTER_HALF_SIZE (POINTER_SIZE>>1)

/* Структура курсора */
struct CROSS_CURSOR {
  unsigned int flag;
  int sizeFlag;
  long X;
  long Y;
  long oldX;
  long oldY;
  long oYtop;
  long oYbot;
  long oXlef;
  long oXrig;
  int width;
  int height;
  XColor clr;	/* Цвет курсора */
  Cursor cursor;
  Pixmap pixmap;
};

struct CROSS_CURSOR CrCurs;

int m_cursor_width;
int m_cursor_height;
void cursor_init (void);
void (* cursor_draw) (void);
void __attribute__ ((__always_inline__)) cursor_draw_size_flag_1 (void);
void __attribute__ ((__always_inline__)) cursor_draw_size_flag_0 (void);
void cursor_hide (void); /* Спрятать курсор */

#endif  /* _H_O_CURSOR_H_  */
