/* h_point.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_POINT_H_
#define _H_POINT_H_

#include "h_LCP_f_geometry.h"


/* unsigned int curr_list; */ /* Текущий элемент списка */

/* Двусвязный список.
   Координаты точки дублируются для уменьшения количества вычислений. */
struct PointList
{
  unsigned long int dsc; /* Дескриптор объекта (Например дескриптор линии). */
  fPOINT pt; /* Координаты точки в мировой системе координат. */
  fPOINT pp; /* Координаты точки для области вывода (в системе координат окна) */
  struct PointList * prev;
  struct PointList * next;
};

typedef struct PointList PL;
typedef struct PointList * pPL;

pPL point_add (pPL * p, float x, float y);
pPL point_delete (pPL * p, unsigned long dsc);
void point_print_test (pPL * p);

pPL tstP; /* Список для тестирования */

#endif /*  _H_POINT_H_ */
