/* h_w_common.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_W_COMMON_H_
#define _H_W_COMMON_H_

/* Глобальные параметры для передачи их в функции окон */
/* Файловая система ("fs.c") */
char * file_name;
FILE * fptr;
unsigned select_font;
/* Параметры для выбора между системной и графической консолью. */
short int XWndComCon; /* Отобразить системную консоль и главное окно. */
short int XWndWork; /* Отобразить графическую консоль и главное окно. */
short int XComCon; /* Отобразить только системную консоль для ввода параметров. */

#include <X11/Xlib.h>
/* Общие функции для всех окон */
void win_common_redraw_window (Window window);
void win_common_get_RGB_val (unsigned long pixval, unsigned long * R, unsigned long * G, unsigned long * B);
void win_common_set_color (XColor * color, unsigned short _r, unsigned short _g, unsigned short _b);
void win_common_change_mask (GC gc, unsigned long valmask, XGCValues val, int func);
void win_common_change_line_width (GC gc, unsigned long valmask, XGCValues val, int width);
int win_common_get_font_info (GC gc, int * asc, int * desc, int * dir);
int win_common_load_cursor (Window window, char * FileName, Pixmap * pixmap);
int win_common_load_img (char * FileName, XImage ** xi);
int win_common_load_img_from_data (char ** data, XImage ** xi);
void win_common_set_window_icon (Window win, unsigned char * icon, int width, int height);
void win_common_set_color_window_icon (Window win, char ** icon, int width, int height);
void win_common_create_gradient (GC g, Pixmap * px);

#endif /* _H_W_COMMON_H_ */
