/* h_w_main.h
 * Copyright (C) 2011, 2012 Zykov Anton
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free 
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA 
 */

#ifndef _H_W_MAIN_H_
#define _H_W_MAIN_H_

#include "h_LCP_global.h"

#define m_WIN_BORDER 2


/* Текущий режим экрана */
unsigned short CurMode;

#define rCrX CrCurs.X /* Real CrCurs Coordinate X */
#define rCrY (m_win_height - CrCurs.Y) /* Real CrCurs Coordinate Y */

#define win_main_change_mask(f1) \
		win_common_change_mask(m_gc, m_valuemask, m_values, f1)
#define win_main_line(x1, y1, x2, y2) \
		XDrawLine(display, m_pxm, m_gc, x1, (m_win_height-y1), x2, (m_win_height-y2))
#define win_main_rect(x, y, width, height) \
		XDrawRectangle(display, m_pxm, m_gc, x, (m_win_height-y-height), width, height)
#define win_main_fill_rect(x, y, width, height) \
		XFillRectangle(display, m_pxm, m_gc, x, (m_win_height-y-height), width, height)
#define	win_main_draw_str(x, y, str, len) \
		XDrawString(display, m_pxm, m_gc, x, (m_win_height-y), str, len)
void * win_main (void * unused);
void win_main_set_background (void); /* Установка фона для "pmx" */
void win_main_draw (void);

Display * display;
unsigned int display_width, display_height;
int screen;
Window m_window;
unsigned int m_win_width, m_win_height;
unsigned int m_x_pos, m_y_pos;
GC m_gc;
unsigned long m_valuemask;
XGCValues m_values;
Pixmap m_pxm;
XColor	pt_clr; /* Общий цвет для всех точек. */

#endif /* _H_W_MAIN_H_ */
